﻿using System;

using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

using Platform.Logging.InteractiveLogger;

namespace Platform.Logging
{
    public static class PlatformInteractiveLoggerExtensions 
    {
        public static ILoggingBuilder AddPlatformInteractiveLogger( this ILoggingBuilder loggerFactory, IConfigurationSection section )
        {
            try
            {
                var provider = new PlatformInteractiveLoggerProvider(section);
                loggerFactory.AddProvider(provider);
            }
            catch (Exception ex)
            {
                SimpleFileLogger.WriteLine("Failed to add Platform Interactive Logger: {0}", ex.Message);
            }

            return loggerFactory;
        }
    }
}
